## gdal 3.11.1+dfsg

=== frmts/gsg/CMakeLists.txt ===
add_gdal_driver(
  TARGET gdal_GSG
  SOURCES gs7bgdataset.cpp gsbgdataset.cpp
  BUILTIN)
# FIXME should be 'PLUGIN_CAPABLE NO_DEPS' but requires some code to glue the registration of the 3 drivers
gdal_standard_includes(gdal_GSG)

=== debian/changelog ===
gdal (3.11.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jul 2025 12:08:32 +0200

gdal (3.11.1~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Jun 2025 18:40:06 +0200

gdal (3.11.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jun 2025 14:57:44 +0200

gdal (3.11.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 May 2025 19:48:23 +0200

gdal (3.11.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop pr12275-atomic.patch, included upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 May 2025 21:06:45 +0200

gdal (3.11.0~rc1+dfsg-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix FTBFS on armel & powerpc.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 May 2025 05:20:04 +0200

gdal (3.11.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.
  * Update copyright file.
  * Update manpages to include in gdal-bin.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 May 2025 17:42:42 +0200

gdal (3.11.0~beta1+dfsg-1~exp2) experimental; urgency=medium

  * Add libmuparser-dev & libexprtk-dev to (build) dependencies.
    Required for C++ VRT expressions.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Apr 2025 05:33:50 +0200

gdal (3.11.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Drop OGDI support, removed upstream.
  * Enable JPEGXL support.
  * Refresh patches.
  * Include gdal subcommand manpages in gdal-bin.
  * Enable ARCHIVE support.
  * Rename library package for SONAME bump.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Apr 2025 08:15:22 +0200

## gdal 3.11.2~rc1+dfsg

=== debian/changelog ===
gdal (3.11.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Jul 2025 11:09:04 +0200

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               doxygen,
               graphviz,
               chrpath,
               bash-completion,
               libarchive-dev,
               libarmadillo-dev,
               libavif-dev,
               libblosc-dev,
               libcfitsio-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdeflate-dev,
               libexpat1-dev,
               libexprtk-dev,
               libfreexl-dev (>= 1.0.0),
               libfyba-dev,
               libgeos-dev,
               libgeotiff-dev (>= 1.5.0),
               libgif-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libheif-dev,
               libjpeg-dev,
               libjson-c-dev,
               libjxl-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblz4-dev,
               liblzma-dev,
               libmuparser-dev,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libopenjp2-7-dev,
               libpcre2-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev (>= 6.0.0),
               libqhull-dev,
               libspatialite-dev,
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               libzstd-dev,
               netcdf-bin,
               patch,
               pkgconf,
               pkg-kde-tools,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b experimental
Homepage: http://www.gdal.org/
Rules-Requires-Root: no

Package: libgdal37
Architecture: any
Multi-Arch: same
Section: libs
Depends: gdal-data (>= ${source:Version}),
         gdal-plugins (>= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal37 (= ${binary:Version}),
         libarchive-dev,
         libarmadillo-dev,
         libavif-dev,
         libblosc-dev,
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdeflate-dev,
         libexpat1-dev,
         libexprtk-dev,
         libfreexl-dev,
         libfyba-dev,
         libgeos-dev,
         libgeotiff-dev (>= 1.5.0),
         libgif-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libheif-dev,
         libjpeg-dev,
         libjson-c-dev,
         libjxl-dev,
         libkml-dev,
         libltdl-dev,
         liblz4-dev,
         liblzma-dev,
         libmuparser-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libopenjp2-7-dev,
         libpcre2-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev (>= 6.0.0),
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         libzstd-dev,
         unixodbc-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script).

Package: gdal-bin
Architecture: any
Multi-Arch: foreign
Depends: python3-gdal (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-grass
Breaks: gdal-bin (<< 1.10.0-0~),
        python-gdal (<< 2.4.3~)
Replaces: python-gdal (<< 2.4.3~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: gdal-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Data files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the GDAL data files.

Package: gdal-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Plugins
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains data for the plugins.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for the GDAL/OGR library.

## gdal 3.11.2+dfsg

=== debian/changelog ===
gdal (3.11.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Jul 2025 11:03:38 +0200

gdal (3.11.2~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Jul 2025 05:26:25 +0200

## gdal 3.11.3+dfsg

=== debian/changelog ===
gdal (3.11.3+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Aug 2025 10:51:28 +0200

gdal (3.11.3+dfsg-1~exp2) experimental; urgency=medium

  * Replace libhdf4-alt-dev with libhdf4-dev.
    (closes: #1108645)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Aug 2025 04:56:04 +0200

gdal (3.11.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Jul 2025 14:02:36 +0200

gdal (3.10.3+dfsg-2) unstable; urgency=medium

  * Replace libhdf4-alt-dev with libhdf4-dev.
    (closes: #1108645)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Aug 2025 04:28:49 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

PYVERS=$(shell py3versions -sv)
PYDEF=$(shell py3versions -dv)
SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')

GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
GDAL_MAJOR=$(word 1,$(GDALVER))
GDAL_MINOR=$(word 2,$(GDALVER))
GDAL_PATCH=$(word 3,$(GDALVER))

ifeq (,$(DEB_HOST_MULTIARCH))
  DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98189
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
  export DEB_CXXFLAGS_MAINT_APPEND=-fno-guess-branch-probability
endif

versions:
	@echo Gdal version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)
	@echo Swig version: $(SWIGVER)
	@echo Python default: $(PYDEF)
	@echo Python versions: $(PYVERS)

%:
	dh $@ --buildsystem cmake

override_dh_auto_clean:
	for V in $(PYVERS); do \
		dh_auto_clean --builddir=build-py$$V ; \
	done

override_dh_auto_configure:
	for V in $(PYVERS); do \
		dh_auto_configure --builddir=build-py$$V -- \
			-DPython_LOOKUP_VERSION=$$V \
			-DBUILD_DOCS=OFF \
			-DBUILD_PYTHON_BINDINGS:BOOL=ON \
			-DCMAKE_INSTALL_INCLUDEDIR=include/gdal \
			-DGDAL_HIDE_INTERNAL_SYMBOLS=ON \
			-DRENAME_INTERNAL_TIFF_SYMBOLS=ON \
			-DRENAME_INTERNAL_GEOTIFF_SYMBOLS=ON \
			-DGDAL_USE_ARCHIVE=ON \
			-DGDAL_USE_ARMADILLO=ON \
			-DGDAL_USE_AVIF=ON \
			-DGDAL_USE_BLOSC=ON \
			-DGDAL_USE_CFITSIO=ON \
			-DGDAL_USE_CURL=ON \
			-DGDAL_USE_DEFLATE=ON \
			-DGDAL_USE_ECW=OFF \
			-DGDAL_USE_EXPAT=ON \
			-DGDAL_USE_FREEXL=ON \
			-DGDAL_USE_FYBA=ON \
			-DGDAL_USE_GEOS=ON \
			-DGDAL_USE_GEOTIFF=ON \
			-DGDAL_USE_HDF5=ON \
			-DGDAL_USE_HEIF=ON \
			-DGDAL_USE_JSONC=ON \
			-DGDAL_USE_JXL=ON \
			-DGDAL_USE_LERC_INTERNAL=ON \
			-DGDAL_USE_LIBKML=ON \
			-DGDAL_USE_LIBLZMA=ON \
			-DGDAL_USE_LZ4=ON \
			-DGDAL_USE_MRSID=OFF \
			-DGDAL_USE_MYSQL=ON \
			-DGDAL_USE_NETCDF=ON \
			-DGDAL_USE_ODBC=ON \
			-DGDAL_USE_OPENCAD_INTERNAL=ON \
			-DGDAL_USE_OPENJPEG=ON \
			-DGDAL_USE_PCRE2=ON \
			-DGDAL_USE_POPPLER=ON \
			-DGDAL_USE_POSTGRESQL=ON \
			-DGDAL_USE_QHULL=ON \
			-DGDAL_USE_SPATIALITE=ON \
			-DGDAL_USE_SQLITE3=ON \
			-DGDAL_USE_TIFF=ON \
			-DGDAL_USE_WEBP=ON \
			-DGDAL_USE_XERCESC=ON \
			-DGDAL_USE_ZSTD=ON \
		; \
	done

override_dh_auto_build:
	for V in $(PYVERS); do \
		dh_auto_build --builddir=build-py$$V ; \
	done

override_dh_auto_test:
	for V in $(PYVERS); do \
		dh_auto_test --builddir=build-py$$V ; \
	done

override_dh_auto_install:
	for V in $(PYVERS); do \
		dh_auto_install --builddir=build-py$$V ; \
	done

	# install man pages
	install -d $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m 644 $(CURDIR)/man/man1/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1

	# removing useless autogenerated man pages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1

	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/LICENSE.TXT

	# removing embedded rpath in main lib
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;

	# copy sample programs for python3-gdal
	install -d $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples
	install -m 644 $(CURDIR)/swig/python/gdal-utils/osgeo_utils/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/__init__.py

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -A third_party/LercLib/NOTICE

override_dh_python3:
	dh_python3 -X.info -pgdal-bin -ppython3-gdal --shebang=/usr/bin/python3

override_dh_numpy3:
	dh_numpy3 -pgdal-bin -ppython3-gdal

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

## gdal 3.11.4~rc1+dfsg

=== debian/changelog ===
gdal (3.11.4~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Disable libavif version check.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Sep 2025 12:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libgeos-dev,
                libgeotiff-dev (>= 1.5.0),
                libgif-dev,
-               libhdf4-alt-dev,
+               libhdf4-dev,
                libhdf5-dev (>= 1.8.8),
                libheif-dev,
                libjpeg-dev,
@@ -118,7 +118,7 @@
          libgeos-dev,
          libgeotiff-dev (>= 1.5.0),
          libgif-dev,
-         libhdf4-alt-dev,
+         libhdf4-dev,
          libhdf5-dev,
          libheif-dev,
          libjpeg-dev,

## gdal 3.11.4%2Bdfsg

=== frmts/fits/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_FITS
                SOURCES fitsdataset.cpp
                CORE_SOURCES fitsdrivercore.cpp
                PLUGIN_CAPABLE
                NO_SHARED_SYMBOL_WITH_CORE)

if(NOT TARGET gdal_FITS)
    return()
endif()

gdal_standard_includes(gdal_FITS)
gdal_target_link_libraries(gdal_FITS PRIVATE CFITSIO::CFITSIO)

=== frmts/pcraster/CMakeLists.txt ===
add_gdal_driver(
  TARGET gdal_PCRaster
  SOURCES pcrasterdataset.h
          pcrasterrasterband.h
          pcrasterutil.h
          pcrasterdataset.cpp
          pcrastermisc.cpp
          pcrasterrasterband.cpp
          pcrasterutil.cpp
  CORE_SOURCES
          pcrasterdrivercore.cpp
  PLUGIN_CAPABLE
  NO_SHARED_SYMBOL_WITH_CORE)
gdal_standard_includes(gdal_PCRaster)

if(NOT TARGET gdal_PCRaster)
    return()
endif()

if (GDAL_USE_LIBCSF_INTERNAL)
  add_subdirectory(libcsf)
  target_include_directories(gdal_PCRaster PRIVATE $<TARGET_PROPERTY:csf,SOURCE_DIR>)
  target_compile_definitions(gdal_PCRaster PRIVATE -DUSE_IN_GDAL)
else ()
  target_include_directories(gdal_PCRaster PRIVATE ${LIBCSF_INCLUDE_DIRS})
  gdal_target_link_libraries(gdal_PCRaster PRIVATE ${LIBCSF_LIBRARIES})
endif ()

=== frmts/png/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_PNG
                SOURCES pngdataset.cpp pngdataset.h
                CORE_SOURCES pngdrivercore.cpp
                PLUGIN_CAPABLE_IF "NOT GDAL_USE_PNG_INTERNAL\\\;NOT GDAL_USE_ZLIB_INTERNAL"
                NO_SHARED_SYMBOL_WITH_CORE)

if(NOT TARGET gdal_PNG)
    return()
endif()

gdal_standard_includes(gdal_PNG)

if (GDAL_USE_PNG_INTERNAL)
  gdal_add_vendored_lib(gdal_PNG libpng)
else ()
  gdal_target_link_libraries(gdal_PNG PRIVATE PNG::PNG)
endif ()

if (GDAL_USE_ZLIB_INTERNAL)
  gdal_add_vendored_lib(gdal_PNG libz)
else ()
  gdal_target_link_libraries(gdal_PNG PRIVATE ZLIB::ZLIB)
endif ()

if (GDAL_ENABLE_ARM_NEON_OPTIMIZATIONS)
  target_compile_definitions(gdal_PNG PRIVATE -DUSE_NEON_OPTIMIZATIONS)
endif()

=== ogr/ogrsf_frmts/ods/CMakeLists.txt ===
add_gdal_driver(
  TARGET ogr_ODS
  SOURCES ods_formula_node.cpp
          ods_formula.cpp
          ogrodsdatasource.cpp
          ogrodsdriver.cpp
          ods_formula_parser.hpp
          ods_formula.h
          ogr_ods.h
          PLUGIN_CAPABLE
          NO_DEPS)
gdal_standard_includes(ogr_ODS)
target_include_directories(ogr_ODS PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
add_executable(testparser EXCLUDE_FROM_ALL testparser.cpp)

if (GDAL_USE_EXPAT)
  gdal_target_link_libraries(ogr_ODS PRIVATE ${EXPAT_TARGET})
  target_compile_definitions(ogr_ODS PRIVATE -DHAVE_EXPAT=1)
endif ()

###########################################################
# Targets to refresh ods_formula_parser.cpp
###########################################################

# Those targets need to be run manually each time ods_formula_parser.y
# is modified.
# We could of course run them automatically, but that would make building
# GDAL harder.

# This target checks that ods_formula_parser.y md5sum has not changed
# If it has, then it should be updated and the generate_ods_formula_parser target
# should be manually run
add_custom_target(check_ods_formula_parser_md5 ALL
                  COMMAND ${CMAKE_COMMAND}
                      "-DIN_FILE=ods_formula_parser.y"
                      "-DTARGET=generate_ods_formula_parser"
                      "-DEXPECTED_MD5SUM=4471312c8be1baeef3509fb36ab668df"
                      "-DFILENAME_CMAKE=${CMAKE_CURRENT_SOURCE_DIR}/CMakeLists.txt"
                      -P "${PROJECT_SOURCE_DIR}/cmake/helpers/check_md5sum.cmake"
                  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/ods_formula_parser.y"
                  VERBATIM)

find_package(BISON)
add_custom_target(generate_ods_formula_parser
                  COMMAND ${CMAKE_COMMAND}
                      "-DBISON_FOUND=${BISON_FOUND}"
                      "-DBISON_EXECUTABLE=${BISON_EXECUTABLE}"
                      -P "${CMAKE_CURRENT_SOURCE_DIR}/generate_ods_formula_parser.cmake"
                  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                  VERBATIM)

=== ogr/ogrsf_frmts/osm/CMakeLists.txt ===
# referred from ogr_MVT
add_gdal_driver(
  TARGET ogr_OSM
  SOURCES ogrosmdatasource.cpp ogrosmdriver.cpp ogrosmlayer.cpp osm_parser.cpp
  BUILTIN
  STRONG_CXX_WFLAGS)
gdal_standard_includes(ogr_OSM)

if (NOT USE_ONLY_EMBEDDED_RESOURCE_FILES)
    set(GDAL_DATA_FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/data/osmconf.ini
    )
    set_property(
      TARGET ${GDAL_LIB_TARGET_NAME}
      APPEND
      PROPERTY RESOURCE "${GDAL_DATA_FILES}")
endif()

if (EMBED_RESOURCE_FILES)
    add_driver_embedded_resources(ogr_OSM OGR_ENABLE_DRIVER_OSM_PLUGIN embedded_resources.c)
endif()
if (USE_ONLY_EMBEDDED_RESOURCE_FILES)
    target_compile_definitions(ogr_OSM PRIVATE USE_ONLY_EMBEDDED_RESOURCE_FILES)
endif()

target_include_directories(ogr_OSM PRIVATE $<TARGET_PROPERTY:ogrsf_generic,SOURCE_DIR>
                                           ${GDAL_VECTOR_FORMAT_SOURCE_DIR}/sqlite)
if (GDAL_USE_EXPAT)
  target_compile_definitions(ogr_OSM PRIVATE -DHAVE_EXPAT=1)
  gdal_target_link_libraries(ogr_OSM PRIVATE ${EXPAT_TARGET})
endif ()
if (GDAL_USE_SQLITE3)
  gdal_target_link_libraries(ogr_OSM PRIVATE SQLite::SQLite3)
endif ()

if (BROKEN)
  add_executable(osm2osm EXCLUDE_FROM_ALL osm2osm.cpp)
  gdal_standard_includes(osm2osm)
  target_link_libraries(osm2osm PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}> ogr_OSM PROJ::proj)
  if (GDAL_USE_EXPAT)
    target_link_libraries(osm2osm PRIVATE ${EXPAT_TARGET})
  endif ()
  if (GDAL_USE_SQLITE3)
    target_sources(osm2osm PRIVATE ../sqlite/ogrsqlitevfs.cpp ../sqlite/ogrsqliteexecutesql.cpp)
    target_link_libraries(osm2osm PRIVATE SQLite::SQLite3)
  endif ()
endif ()

## gdal 3.11.4%2bdfsg

=== frmts/idrisi/CMakeLists.txt ===
# RST -- idrist RASTER driver referred from ogr_idrisi
add_gdal_driver(
  TARGET gdal_IDRISI
  SOURCES IdrisiDataset.cpp idrisi.h
  BUILTIN) # because OGR IDRISI dependent on us
gdal_standard_includes(gdal_IDRISI)

gdal_target_link_libraries(gdal_IDRISI PRIVATE PROJ::proj)

=== swig/csharp/CMakeLists.txt ===
option(GDAL_CSHARP_ONLY "Compile C# bindings on existing GDAL installation" OFF)

if (GDAL_CSHARP_ONLY)
  find_package(GDAL REQUIRED)
else ()
  include(GdalStandardIncludes)
endif ()

if (CMAKE_CXX_FLAGS)
  string(REPLACE "-Werror " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
  string(REPLACE "/WX " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
endif ()

set(GDAL_CSHARP_INSTALL_DIR
    "${CMAKE_INSTALL_DATADIR}/csharp"
    CACHE PATH "Installation sub-directory for CSharp bindings")


if (DOTNET_FOUND)
  set(CSHARP_LIBRARY_VERSION
      "net6.0"
      CACHE STRING ".NET version to be used for libraries")
  set(CSHARP_APPLICATION_VERSION
      "net6.0"
      CACHE STRING ".NET version to be used for the sample Applications")
else ()
  set(CSHARP_LIBRARY_VERSION
    "4.8"
    CACHE STRING ".NET version to be used for libraries")
  set(CSHARP_APPLICATION_VERSION
    "4.8"
    CACHE STRING ".NET version to be used for the sample Applications")
endif ()

set(CSHARP_CONFIG
    "RELEASE"
    CACHE STRING "Config to be used to compile the C# artifacts > RELEASE|CONFIG")

message(STATUS "Available SDKS: " "${DOTNET_SDKS}")


string(REGEX MATCH "[0-9\.]+" _CSHARP_LIBRARY_SDK_NUMBER "${CSHARP_LIBRARY_VERSION}" )
message(STATUS "Requested Library DotNet SDK Level: " ${_CSHARP_LIBRARY_SDK_NUMBER} )
string(REGEX MATCH "[0-9\.]+" _CSHARP_APPLICATION_SDK_NUMBER "${CSHARP_APPLICATION_VERSION}" )
message(STATUS "Requested Application DotNet SDK Level: " ${_CSHARP_APPLICATION_SDK_NUMBER} )

if ( DOTNET_FOUND )
  if ( "${_CSHARP_LIBRARY_SDK_NUMBER}" IN_LIST DOTNET_SDKS OR "${CSHARP_LIBRARY_VERSION}" MATCHES "netstandard")
    message(STATUS "DotNet SDK " ${CSHARP_LIBRARY_VERSION} " found" )
  else ()
    message(STATUS "The Requested DotNet SDK was not found. C# Bindings will not be built" )
    RETURN ()
  endif ()
  if ( NOT ( _CSHARP_LIBRARY_SDK_NUMBER STREQUAL _CSHARP_APPLICATION_SDK_NUMBER ) )
    if ( "${_CSHARP_APPLICATION_SDK_NUMBER}" IN_LIST DOTNET_SDKS )
      message(STATUS "DotNet SDK " ${CSHARP_APPLICATION_VERSION} " found" )
    else ()
      message(STATUS "The Requested DotNet SDK was not found. C# Bindings will not be built" )
      RETURN ()
      endif ()
  endif ()
endif()

set(_VERSION_STRING ${GDAL_VERSION_NO_DEV_SUFFIX})
if (GDAL_DEV_SUFFIX)
  set(_VERSION_STRING ${_VERSION_STRING}-${GDAL_DEV_SUFFIX})
endif ()

# based on https://stackoverflow.com/questions/39258250/how-to-detect-if-64-bit-msvc-with-cmake TODO - this not going to
# cope with ARM architectures
if (DOTNET_FOUND)
  if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    set(CSHARP_RID "osx-x64")
  elseif (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set(CSHARP_RID "linux-x64")
  elseif ("${CMAKE_GENERATOR_PLATFORM}" STREQUAL "x64")
    set(CSHARP_RID "win-x64")
  elseif ("${CMAKE_GENERATOR_PLATFORM}" STREQUAL "Win32")
    set(CSHARP_RID "win-x86")
  endif ()
else ()
  if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    set(CSHARP_RID "x64")
  elseif (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set(CSHARP_RID "x64")
  elseif ("${CMAKE_GENERATOR_PLATFORM}" STREQUAL "x64")
    set(CSHARP_RID "x64")
  elseif ("${CMAKE_GENERATOR_PLATFORM}" STREQUAL "Win32")
    set(CSHARP_RID "x86")
  endif ()
endif ()

# needed because of differences in the packages
if (DOTNET_FOUND)
  if(_CSHARP_LIBRARY_SDK_NUMBER LESS "6")
    set(CSHARP_DRAWING "System.Drawing.Common")
  else ()
    set(CSHARP_DRAWING "System.Drawing.Primitives;SkiaSharp")
  endif ()
else ()
  set(CSHARP_DRAWING "System.Drawing")
endif ()

# setup local NuGet repository
if (DOTNET_FOUND)
  file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} _DN_REPO_PATH)
  dotnet_register_local_repository("local" ${_DN_REPO_PATH})
endif ()

# Copy build files
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gdal.snk ${CMAKE_CURRENT_BINARY_DIR}/gdal.snk COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Directory.Build.props ${CMAKE_CURRENT_BINARY_DIR}/Directory.Build.props
               COPYONLY)

# Create some placemarker packages for dependencies
if (DOTNET_FOUND)
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/osgeo.gdal.core.csproj.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/osgeo.gdal.core.csproj")
  add_dotnet(
    ${CMAKE_CURRENT_BINARY_DIR}/osgeo.gdal.core.csproj
    ${CSHARP_CONFIG}
    NAME
    OSGeo.GDAL.Core
    VERSION
    ${_VERSION_STRING}
    OUTPUT_PATH
    ${CMAKE_CURRENT_BINARY_DIR})
else ()
  add_custom_target(OSGeo.GDAL.Core)
endif ()

list(APPEND GDAL_SWIG_COMMON_INTERFACE_FILES
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/gdal_csharp_extend.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/gdal_csharp.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/gnm_csharp.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/ogr_csharp_extend.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/ogr_csharp.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/osr_csharp.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/swig_csharp_extensions.i
   ${PROJECT_SOURCE_DIR}/swig/include/csharp/typemaps_csharp.i)

# function for csharp wrapper build
function (gdal_csharp_wrap)
  # Setup
  set(_options)
  set(_oneValueArgs WRAPPER SWIG_INTERFACE NAMESPACE TARGET_SUBDIR)
  cmake_parse_arguments(_CSHARP "${_options}" "${_oneValueArgs}" "${_multiValueArgs}" ${ARGN})
  set(_CSHARP_WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR})

  # Run the SWIG interface build
  add_custom_command(
    # create the sub folder
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_WRAPPER}.cpp
    COMMAND ${CMAKE_COMMAND} -E make_directory ${_CSHARP_WORKING_DIRECTORY}
    # SWIG command
    COMMAND
      ${SWIG_EXECUTABLE} -namespace ${_CSHARP_NAMESPACE} -outdir ${_CSHARP_WORKING_DIRECTORY} -DSWIG2_CSHARP -dllimport
      ${_CSHARP_WRAPPER} -Wall -I${PROJECT_SOURCE_DIR}/swig/include -I${PROJECT_SOURCE_DIR}/swig/include/csharp
      -I${PROJECT_SOURCE_DIR}/gdal -c++ -csharp -o ${_CSHARP_WRAPPER}.cpp ${_CSHARP_SWIG_INTERFACE}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${GDAL_SWIG_COMMON_INTERFACE_FILES} ${PROJECT_SOURCE_DIR}/swig/include/csharp/typemaps_csharp.i
            ${_CSHARP_SWIG_INTERFACE})

  # add the wrapper dll
  set_source_files_properties(${_CSHARP_WRAPPER} PROPERTIES GENERATED 1)
  add_library(${_CSHARP_WRAPPER} SHARED ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_WRAPPER}.cpp)
  if (GDAL_CSHARP_ONLY)
    include_directories(${GDAL_INCLUDE_DIR})
    target_link_libraries(${_CSHARP_WRAPPER} PRIVATE ${GDAL_LIBRARY})
  else ()
    gdal_standard_includes(${_CSHARP_WRAPPER})
    target_link_libraries(${_CSHARP_WRAPPER} PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}>)
  endif ()

  install(
    TARGETS ${_CSHARP_WRAPPER}
    COMPONENT csharp
    DESTINATION ${GDAL_CSHARP_INSTALL_DIR})
endfunction (gdal_csharp_wrap)

# function for xxx_csharp.dll build
function (gdal_csharp_dll)

  # Setup
  set(_options)
  set(_oneValueArgs TARGET TARGET_SUBDIR WRAP_DLL PACKAGE_NAME)
  set(_multiValueArgs DEPENDS SYSTEM_DEPENDS)
  cmake_parse_arguments(_CSHARP "${_options}" "${_oneValueArgs}" "${_multiValueArgs}" ${ARGN})
  get_filename_component(_root ${_CSHARP_TARGET} NAME_WE)

  if(WIN32)
      file(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}.csproj" _CSHARP_PROJ)
      file(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}" _CSHARP_PROJ_PATH)
      file(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_CSHARP_TARGET}" _CSHARP_DLL_TARGET)
  else()
      set(_CSHARP_PROJ "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}.csproj")
      set(_CSHARP_PROJ_PATH "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}")
      set(_CSHARP_DLL_TARGET "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_CSHARP_TARGET}")
  endif()
  set(CSC_OPTIONS /unsafe /debug:full /target:library /sdk:${_CSHARP_LIBRARY_SDK_NUMBER} /platform:${CSHARP_RID} /out:${_CSHARP_DLL_TARGET} )
  if (WIN32)
    list(APPEND CSC_OPTIONS /define:CLR4)
  endif ()
  set(_PACKAGE_NAME ${_CSHARP_PACKAGE_NAME})

  # Setup dependencies
  set(_dlls)
  set(_deps csharp_interface)
  if (_CSHARP_DEPENDS)
    foreach (_dep IN LISTS _CSHARP_DEPENDS)
      if(WIN32)
          file(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${_dep}" _dep)
      else()
          set(_dep "${CMAKE_CURRENT_BINARY_DIR}/${_dep}")
      endif()
      get_filename_component(_filename ${_dep} NAME)
      list(APPEND _dlls ${_filename}.dll)
      list(APPEND CSC_OPTIONS /r:${_dep}.dll)
    endforeach ()
  endif (_CSHARP_DEPENDS)
  if (_CSHARP_SYSTEM_DEPENDS)
    foreach (_dep IN LISTS _CSHARP_SYSTEM_DEPENDS)
      if (_dep MATCHES "^OSGeo")
        list(APPEND _deps ${_dep})
      endif ()
    endforeach ()
  endif ()

  # run the c# build
  if (DOTNET_FOUND)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/dll_template.csproj"
                   "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}.csproj.in")
    file(
      GENERATE
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}-$<CONFIG>.csproj
      INPUT ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}.csproj.in)
    add_custom_command(
      COMMAND ${CMAKE_COMMAND} -E "copy_if_different"
              "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}-$<CONFIG>.csproj" "${_CSHARP_PROJ}"
      VERBATIM
      DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_root}-$<CONFIG>.csproj"
      OUTPUT ${_CSHARP_PROJ})
    add_dotnet(
      ${_CSHARP_PROJ}
      ${CSHARP_CONFIG}
      NAME
      ${_PACKAGE_NAME}
      VERSION
      ${_VERSION_STRING}
      OUTPUT_PATH
      ${_CSHARP_PROJ_PATH}
      DEPENDS
      ${_deps}
      PACKAGE
      ${_CSHARP_SYSTEM_DEPENDS})

  else ()
    if (CMAKE_VERBOSE_MAKEFILE)
      message(STATUS "BUILDING : " ${_CSHARP_TARGET} " : " ${CSHARP_COMPILER} ${CSC_OPTIONS} )
    endif ()
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET}
      COMMAND
        ${CMAKE_COMMAND} "-DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}" "-DCSC_OPTIONS=${CSC_OPTIONS}"
        "-DCSHARP_COMPILER=${CSHARP_COMPILER}" "-DTARGET_SUBDIR=${_CSHARP_PROJ_PATH}"
        -DWORKING=${CMAKE_CURRENT_BINARY_DIR} -P "${CMAKE_CURRENT_SOURCE_DIR}/add_dll_xsc.cmake"
      COMMAND ${CMAKE_COMMAND} -E echo
              "copy ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_CSHARP_TARGET} ${CMAKE_CURRENT_BINARY_DIR}"
      COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_CSHARP_TARGET}
              ${CMAKE_CURRENT_BINARY_DIR}
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      VERBATIM
      DEPENDS csharp_interface ${CMAKE_CURRENT_BINARY_DIR}/gdal.snk ${CMAKE_CURRENT_SOURCE_DIR}/AssemblyInfo.cs)
    add_custom_target(${_PACKAGE_NAME} DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET})
    if (_CSHARP_SYSTEM_DEPENDS)
      add_dependencies(${_PACKAGE_NAME} ${_CSHARP_SYSTEM_DEPENDS})
    endif ()
  endif ()

  set(_CSHARP_IMPORTS ${CMAKE_CURRENT_BINARY_DIR}/${_CSHARP_TARGET_SUBDIR}/${_CSHARP_TARGET})
  if (DOTNET_FOUND)
    list(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${_PACKAGE_NAME}.${_VERSION_STRING}.nupkg)
  endif ()

  install(
    FILES ${_CSHARP_IMPORTS}
    COMPONENT csharp
    DESTINATION ${GDAL_CSHARP_INSTALL_DIR})

endfunction ()

# ######################################################################################################################
gdal_csharp_wrap(
  NAMESPACE
  OSGeo.GDAL
  WRAPPER
  gdalconst_wrap
  SWIG_INTERFACE
  ${PROJECT_SOURCE_DIR}/swig/include/gdalconst.i
  TARGET_SUBDIR
  const)

gdal_csharp_wrap(
  NAMESPACE
  OSGeo.OSR
  WRAPPER
  osr_wrap
  SWIG_INTERFACE
  ${PROJECT_SOURCE_DIR}/swig/include/osr.i
  TARGET_SUBDIR
  osr)

gdal_csharp_wrap(
  NAMESPACE
  OSGeo.OGR
  WRAPPER
  ogr_wrap
  SWIG_INTERFACE
  ${PROJECT_SOURCE_DIR}/swig/include/ogr.i
  TARGET_SUBDIR
  ogr)

gdal_csharp_wrap(
  NAMESPACE
  OSGeo.GDAL
  WRAPPER
  gdal_wrap
  SWIG_INTERFACE
  ${PROJECT_SOURCE_DIR}/swig/include/gdal.i
  TARGET_SUBDIR
  gdal)

=== ogr/ogrsf_frmts/mapml/CMakeLists.txt ===
add_gdal_driver(TARGET ogr_MapML SOURCES ogrmapmldataset.cpp PLUGIN_CAPABLE NO_DEPS)
gdal_standard_includes(ogr_MapML)
